# Note that this is NOT a relocatable package
%define ver      0.3
%define  RELEASE 1
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix      /usr
%define sysconfdir  /etc

Summary:        Algebraic Calculator
Name: 		snac
Version: 	%ver
Release: 	%rel
Copyright: 	GPL
Group: 		X11/Applications
Source:         http://snac.seul.org/snac-%{ver}.tar.gz
BuildRoot: 	/var/tmp/snac-%{ver}-root
Requires: 	gnome-libs >= 1.0
DocDir:		%{prefix}/doc


%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System.  GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on free software.

SNAC's a Neat Algebraic Calculator for GNOME.


%prep
%setup -q

%build
# Needed for snapshot releases.
%ifarch alpha
  MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif

if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh $MYARCH_FLAGS --prefix=%prefix --localstatedir=/var/lib --sysconfdir=%sysconfdir
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure $MYARCH_FLAGS --prefix=%prefix --localstatedir=/var/lib --sysconfdir=%sysconfdir
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} install

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun 

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{prefix}/*
